--TEST--
Test CSV::collectionToBuffer() with standard parameters
--SKIPIF--
<?php
if (!extension_loaded('csv')) {
	echo 'skip';
}
?>
--FILE--
<?php

$collection = [
    [
        'One',
        'Two',
        'Three',
    ],
    [
        'Un',
        'Deux',
        'Trois',
    ],
    [
        'Ichi',
        'Ni',
        'San',
    ],
];

$output = "One,Two,ThreeあUn,Deux,TroisあIchi,Ni,Sanあ";

var_dump($output === CSV::collectionToBuffer($collection, ',', '"', 'あ'));
var_dump(CSV::collectionToBuffer($collection, ',', '"', 'あ'));

?>
--EXPECT--
bool(true)
string(46) "One,Two,ThreeあUn,Deux,TroisあIchi,Ni,Sanあ"
